Bug 714505 - Downloading playlist downloads all user's videos
Summary: Downloading playlist downloads all user's videos
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: youtube-dl
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-19 19:14 UTC by Sascha Zantis
Modified: 2011-08-02 02:07 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-08-02 01:53:16 UTC


Attachments (Terms of Use)

Description Sascha Zantis 2011-06-19 19:14:26 UTC
Description of problem: If i want to download for example the playlist http://www.youtube.com/user/JoernLoviscach#p/c/F7F7BBFA1379A03A, youtube-dl gets the ids of all 1592 videos the user uploaded and wants to download them instead of just downloading the playlist "Mathe 2, Sommer 2011"

Version-Release number of selected component (if applicable):
2011.01.30


How reproducible:
Always

Steps to Reproduce:
1. Start youtube-dl with this playlist as URL
2.
3.
  
Actual results:
Downloads all the user's videos

Expected results:
Should only download the playlist

Additional info:
Fixed in current upstream version 2011.03.29

Comment 1 Fedora Update System 2011-07-20 00:28:23 UTC
youtube-dl-2011.03.29-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/youtube-dl-2011.03.29-1.fc15

Comment 2 Fedora Update System 2011-07-20 00:28:31 UTC
youtube-dl-2011.03.29-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/youtube-dl-2011.03.29-1.fc14

Comment 3 Fedora Update System 2011-07-22 19:34:07 UTC
Package youtube-dl-2011.03.29-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing youtube-dl-2011.03.29-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/youtube-dl-2011.03.29-1.fc14
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-08-02 01:53:12 UTC
youtube-dl-2011.03.29-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-08-02 02:07:44 UTC
youtube-dl-2011.03.29-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.